For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flow Webhooks

List Flow Webhooks

get

Retrieves a paginated list of webhooks for a specific flow.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Responses
200

Successful response

application/json
get/api/v1/flows/{flow}/webhooks
GET /api/v1/flows/{flow}/webhooks HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "name": "My Example",
      "enabled_at": "2025-01-15T10:30:00.000000Z",
      "status": "Draft",
      "format": "csv",
      "body": "example_body",
      "deployed_at": "2025-01-15T10:30:00.000000Z",
      "labels": "example_labels",
      "notification_groups": "example_notification_groups",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "description": "A description of the resource",
      "layout_direction": "example_layout_direction",
      "is_enabled": {},
      "latest_version": {},
      "current_version": {},
      "deployed_version": {},
      "latest_deployed_version": [],
      "versions": [],
      "version_type_counts": [],
      "message_brokers": [],
      "message_broker_queues": [],
      "notification_group_ids": [],
      "webhooks": "example_webhooks",
      "callbacks": "example_callbacks",
      "current_version_step_count": 5,
      "current_version_connector_count": 5,
      "current_version_script_count": 5,
      "current_version_cache_count": 5,
      "current_version_data_pool_count": 5,
      "current_version_cross_ref_count": 5,
      "use_queued_time": "example_use_queued_time",
      "remove_failed_payloads": [],
      "priority": 1,
      "prod_flag": [],
      "deployments": [],
      "webhooks_count": 5,
      "callbacks_count": 5,
      "marketplace_app_id": 1,
      "blueprint_id": 1,
      "blueprint_version_number": "example_blueprint_version_number"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/flows/{flow}/webhooks",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/flows/{flow}/webhooks?page=1",
    "last": "https://api.example.com/api/v1/flows/{flow}/webhooks?page=1",
    "prev": null,
    "next": null
  }
}

Create Flow Webhook

post

Creates a new webhook trigger for a specific flow.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

body

string

format

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Body
statusstring · enumOptionalPossible values:
bodystring · nullableOptional
formatstring · enumOptionalPossible values:
Responses
200

Successful response

application/json
post/api/v1/flows/{flow}/webhooks
POST /api/v1/flows/{flow}/webhooks HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "status": "Draft",
  "body": "example_body",
  "format": "csv"
}
{
  "data": {
    "id": 1,
    "name": "My Example",
    "enabled_at": "2025-01-15T10:30:00.000000Z",
    "status": "Draft",
    "format": "csv",
    "body": "example_body",
    "deployed_at": "2025-01-15T10:30:00.000000Z",
    "labels": "example_labels",
    "notification_groups": "example_notification_groups",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "description": "A description of the resource",
    "layout_direction": "example_layout_direction",
    "is_enabled": {},
    "latest_version": {},
    "current_version": {},
    "deployed_version": {},
    "latest_deployed_version": [],
    "versions": [],
    "version_type_counts": [],
    "message_brokers": [],
    "message_broker_queues": [],
    "notification_group_ids": [],
    "webhooks": "example_webhooks",
    "callbacks": "example_callbacks",
    "current_version_step_count": 5,
    "current_version_connector_count": 5,
    "current_version_script_count": 5,
    "current_version_cache_count": 5,
    "current_version_data_pool_count": 5,
    "current_version_cross_ref_count": 5,
    "use_queued_time": "example_use_queued_time",
    "remove_failed_payloads": [],
    "priority": 1,
    "prod_flag": [],
    "deployments": [],
    "webhooks_count": 5,
    "callbacks_count": 5,
    "marketplace_app_id": 1,
    "blueprint_id": 1,
    "blueprint_version_number": "example_blueprint_version_number"
  }
}

Update Flow Webhook

put

Updates an existing webhook for a specific flow.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

body

string

format

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

webhookstringRequired

The webhook identifier.

Body
statusstring · enumOptionalPossible values:
bodystring · nullableOptional
formatstring · enumOptionalPossible values:
hmac_algorithmstring · nullableOptional
hmac_secret_keystring · max: 128 · nullableOptional
Responses
200

Successful response

application/json
put/api/v1/flows/{flow}/webhooks/{webhook}
PUT /api/v1/flows/{flow}/webhooks/{webhook} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "status": "Draft",
  "body": "example_body",
  "format": "csv",
  "hmac_algorithm": "example_hmac_algorithm",
  "hmac_secret_key": "example_hmac_secret_key"
}
{
  "data": {
    "id": 1,
    "name": "My Example",
    "enabled_at": "2025-01-15T10:30:00.000000Z",
    "status": "Draft",
    "format": "csv",
    "body": "example_body",
    "deployed_at": "2025-01-15T10:30:00.000000Z",
    "labels": "example_labels",
    "notification_groups": "example_notification_groups",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "description": "A description of the resource",
    "layout_direction": "example_layout_direction",
    "is_enabled": {},
    "latest_version": {},
    "current_version": {},
    "deployed_version": {},
    "latest_deployed_version": [],
    "versions": [],
    "version_type_counts": [],
    "message_brokers": [],
    "message_broker_queues": [],
    "notification_group_ids": [],
    "webhooks": "example_webhooks",
    "callbacks": "example_callbacks",
    "current_version_step_count": 5,
    "current_version_connector_count": 5,
    "current_version_script_count": 5,
    "current_version_cache_count": 5,
    "current_version_data_pool_count": 5,
    "current_version_cross_ref_count": 5,
    "use_queued_time": "example_use_queued_time",
    "remove_failed_payloads": [],
    "priority": 1,
    "prod_flag": [],
    "deployments": [],
    "webhooks_count": 5,
    "callbacks_count": 5,
    "marketplace_app_id": 1,
    "blueprint_id": 1,
    "blueprint_version_number": "example_blueprint_version_number"
  }
}

Delete Flow Webhook

delete

Permanently deletes a specific webhook for a specific flow.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

webhookstringRequired

The webhook identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/flows/{flow}/webhooks/{webhook}
DELETE /api/v1/flows/{flow}/webhooks/{webhook} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Last updated

Was this helpful?